#!/usr/bin/python

from .agent_based_api.v1 import *
import pprint


from cmk.gui.i18n import _
from cmk.gui.plugins.metrics import *

def discover_sapmon_example_space_check(section):
        yield Service()

def check_sapmon_example_space_check(section):
        for line in section:
                used = int(line[0])
                if used > 79:
                        yield Result(state=State.WARN, summary=f"used space {line[0]} %", details=f"{line[0]}")
                if used < 80:
                        yield Result(state=State.OK, summary=f"used space {line[0]} %", details=f"{line[0]}")
                if used > 90:
                        yield Result(state=State.CRIT, summary=f"used space {line[0]} %", details=f"{line[0]}")
                
                yield Metric(name="PSAPSR3", value=used, boundaries=(0, 100))


register.check_plugin(
        name = "sapmon_example_space_check",
        service_name = "sapmon_example_space_check",
        discovery_function = discover_sapmon_example_space_check,
        check_function = check_sapmon_example_space_check,
)
